Bug 26008 - Remove the use of jquery.checkboxes plugin from OPAC cart
Summary: Remove the use of jquery.checkboxes plugin from OPAC cart
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 26005
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-07-17 14:35 UTC by Owen Leonard
Modified: 2020-08-18 02:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 26008: Remove the use of jquery.checkboxes plugin from OPAC cart (3.62 KB, patch)
2020-07-17 14:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26008: Remove the use of jquery.checkboxes plugin from OPAC cart (3.68 KB, patch)
2020-07-31 15:12 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26008: Remove the use of jquery.checkboxes plugin from OPAC cart (3.74 KB, patch)
2020-08-10 20:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
(follow-up) Removed checkboxed class (1.95 KB, patch)
2020-08-12 18:27 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-07-17 14:35:04 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. Its use should replaced in the OPAC cart, for handling checkbox actions like "select all" and "clear all." The plugin is very old and unmaintained. We should use our own JS to replace it.
Comment 1 Owen Leonard 2020-07-17 14:54:17 UTC
Created attachment 107024 [details] [review]
Bug 26008: Remove the use of jquery.checkboxes plugin from OPAC cart

This patch removes the use of the jquery.checkboxes plugin from the OPAC
cart and replaces its functionality with "plain" jQuery.

To test, apply the patch and add some items to the Cart in the OPAC.

 - Open the Cart window in the OPAC by clicking the "Cart" link in the
   header.
 - Test that the "Select all" and "Clear all" links work correctly to
   check and uncheck all checkboxes.
   - Controls like "Remove" and "Place hold" should be enabled or
     disabled according to whether there are any checked checkboxes.
 - Test that manually checking a checkbox correctly enables or disables
   the link options too.
 - Test that the "Remove" or "Place hold" controls work correctly,
   applying to only the checked checkboxes.
Comment 2 ByWater Sandboxes 2020-07-31 15:12:09 UTC
Created attachment 107648 [details] [review]
Bug 26008: Remove the use of jquery.checkboxes plugin from OPAC cart

This patch removes the use of the jquery.checkboxes plugin from the OPAC
cart and replaces its functionality with "plain" jQuery.

To test, apply the patch and add some items to the Cart in the OPAC.

 - Open the Cart window in the OPAC by clicking the "Cart" link in the
   header.
 - Test that the "Select all" and "Clear all" links work correctly to
   check and uncheck all checkboxes.
   - Controls like "Remove" and "Place hold" should be enabled or
     disabled according to whether there are any checked checkboxes.
 - Test that manually checking a checkbox correctly enables or disables
   the link options too.
 - Test that the "Remove" or "Place hold" controls work correctly,
   applying to only the checked checkboxes.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-08-10 20:52:17 UTC
Created attachment 108020 [details] [review]
Bug 26008: Remove the use of jquery.checkboxes plugin from OPAC cart

This patch removes the use of the jquery.checkboxes plugin from the OPAC
cart and replaces its functionality with "plain" jQuery.

To test, apply the patch and add some items to the Cart in the OPAC.

 - Open the Cart window in the OPAC by clicking the "Cart" link in the
   header.
 - Test that the "Select all" and "Clear all" links work correctly to
   check and uncheck all checkboxes.
   - Controls like "Remove" and "Place hold" should be enabled or
     disabled according to whether there are any checked checkboxes.
 - Test that manually checking a checkbox correctly enables or disables
   the link options too.
 - Test that the "Remove" or "Place hold" controls work correctly,
   applying to only the checked checkboxes.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-12 10:32:39 UTC
Should not we remove the checkboxed class on the 2 forms of opac-basket.tt?
Comment 5 Owen Leonard 2020-08-12 18:27:22 UTC
Created attachment 108154 [details] [review]
(follow-up) Removed checkboxed class

Bug 26008: (follow-up) Removed checkboxed class

This patch removes the "checkboxed" class which was previously
associated with the jquery.checkboxes plugin and is now obsolete.
Comment 6 Jonathan Druart 2020-08-13 05:57:37 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-08-17 15:22:14 UTC
backported to 20.05.x. for 20.05.03


I did not see the commit for the follow up in master, has that been pushed yet?
Comment 8 Jonathan Druart 2020-08-17 15:41:17 UTC
I've squashed them.
Comment 9 Aleisha Amohia 2020-08-18 02:21:37 UTC
enhancement, not backported to 19.11.x